<?php

use App\Http\Controllers\FrontendController;
use App\Http\Controllers\PackageBuilderController;
use App\Http\Controllers\RequestServicesController;



Route::get('/', [FrontendController::class, 'index'])->name('home');
Route::get('/branch-details/{slug}', [FrontendController::class, 'branch_details'])->name('branch_details');

Route::get('/about', [FrontendController::class, 'about'])->name('about');
Route::get('/contact', [FrontendController::class, 'contact'])->name('contact');
Route::post('/contact/submit', [FrontendController::class, 'contact_store'])->name('contact.submit');
Route::get('/services', [FrontendController::class, 'services'])->name('services');
Route::get('/packages', [FrontendController::class, 'packages'])->name('packages');


Route::get('/blogs', [FrontendController::class, 'blogs'])->name('blogs');
Route::get('/blogs/{slug}', [FrontendController::class, 'blogShow'])->name('blog.show');



Route::prefix('package')->group(function () {
    Route::get('/build', [PackageBuilderController::class, 'buildpackageCountry'])->name('package.build');
    Route::get('/build/{country_id}', [PackageBuilderController::class, 'buildpackage'])->name('package.build.country');
    Route::post('/add-service', [PackageBuilderController::class, 'addService'])->name('package.add-service');
    Route::post('/remove-service', [PackageBuilderController::class, 'removeService'])->name('package.remove-service');
    Route::post('/clear', [PackageBuilderController::class, 'clearPackage'])->name('package.clear');
});


Route::prefix('request-services')->group(function () {
    Route::get('/contact', [RequestServicesController::class, 'contact'])->name('request.services.contact');
    Route::post('/contact', [RequestServicesController::class, 'contactDataStore'])->name('request.services.contactDataStore');
    Route::get('/bussiness-type', [RequestServicesController::class, 'bussinessType'])->name('request.services.bussinessType');
    Route::post('/business-type/store', [RequestServicesController::class, 'storeBusinessType'])->name('business.type.store');
    Route::get('/business-model', [RequestServicesController::class, 'bussinessModel'])->name('business.model');
    Route::post('/business-model/store', [RequestServicesController::class, 'storeBusinessModel'])->name('business.model.store');

    Route::get('/branch', [RequestServicesController::class, 'branch'])->name('business.branch');

    Route::post('/branch/store', [RequestServicesController::class, 'storeBranch'])->name('business.branch.store');
    Route::get('/overview', [RequestServicesController::class, 'overview'])->name('business.overview');
    Route::get('/pre-packages', [RequestServicesController::class, 'pre_packages'])->name('pre.packages');
    Route::post('/business/submit', [RequestServicesController::class, 'submitBusiness'])->name('business.submit');
});